Bug 57613 - HTTP Sampler : Added CalDAV verbs (REPORT, MKCALENDAR)
Summary: HTTP Sampler : Added CalDAV verbs (REPORT, MKCALENDAR)
Status: RESOLVED FIXED
Alias: None
Product: JMeter
Classification: Unclassified
Component: HTTP (show other bugs)
Version: 2.12
Hardware: All All
: P2 normal (vote)
Target Milestone: ---
Assignee: JMeter issues mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-20 20:17 UTC by Richard Brigham
Modified: 2015-02-23 03:41 UTC (History)
1 user (show)



Attachments
Diff adding support for REPORT and MKCALENDAR (1.48 KB, patch)
2015-02-20 20:17 UTC, Richard Brigham
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Richard Brigham 2015-02-20 20:17:31 UTC
Created attachment 32502 [details]
Diff adding support for REPORT and MKCALENDAR

In 2.12, the patch for 57107 added support for WebDAV verbs to the HTTP Sampler.  This has been a great addition for WebDAV testing but the CalDAV standard (RFC 4791) adds 2 new methods, REPORT and MKCALENDAR.  Attached is a patch based on the 2.12 source that adds support for these. REPORT is also useful for CardDAV testing.

My team has been using this patch successfully in our testing.  Can it be added to jmeter?
Comment 1 Philippe Mouawad 2015-02-20 20:58:23 UTC
Date: Fri Feb 20 20:57:37 2015
New Revision: 1661219

URL: http://svn.apache.org/r1661219
Log:
Bug 57613 - HTTP Sampler : Added CalDAV verbs (REPORT, MKCALENDAR)
Bugzilla Id: 57613

Modified:
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/sampler/HTTPSamplerBase.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/util/HTTPConstantsInterface.java
    jmeter/trunk/xdocs/changes.xml
    jmeter/trunk/xdocs/usermanual/component_reference.xml
Comment 2 Philippe Mouawad 2015-02-20 21:29:29 UTC
Date: Fri Feb 20 21:29:08 2015
New Revision: 1661229

URL: http://svn.apache.org/r1661229
Log:
Bug 57613 - HTTP Sampler : Added CalDAV verbs (REPORT, MKCALENDAR)
Bugzilla Id: 57613

Modified:
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/sampler/HttpWebdav.java
Comment 3 Philippe Mouawad 2015-02-20 21:30:43 UTC
Hi,
Thanks for patch.
Please note there was some missing part in implementation, I am surprised that patch worked as it was.
I fixed it , could you test with upcoming nightly build ?
Thanks
Comment 4 Felix Schumacher 2015-02-21 09:48:33 UTC
(In reply to Philippe Mouawad from comment #3)
> Hi,
> Thanks for patch.
> Please note there was some missing part in implementation, I am surprised
> that patch worked as it was.
> I fixed it , could you test with upcoming nightly build ?
> Thanks

To be fair, the missing part was part of the original patch.
Comment 5 Philippe Mouawad 2015-02-21 10:20:12 UTC
(In reply to Felix Schumacher from comment #4)
> (In reply to Philippe Mouawad from comment #3)
> > Hi,
> > Thanks for patch.
> > Please note there was some missing part in implementation, I am surprised
> > that patch worked as it was.
> > I fixed it , could you test with upcoming nightly build ?
> > Thanks
> 
> To be fair, the missing part was part of the original patch.

Oups sorry , it was me, I misread the diff, thanks for check Felix..

@Richard thanks for patch and no more comment :-)
Comment 6 Richard Brigham 2015-02-23 03:41:55 UTC
That change worked perfectly in the nightly build. Thanks for adding it.